<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ProdutoService;
use FM\Traits\TResponse;

class ProdutoController extends FMCrud{
    
    use TResponse;
    
    protected $ProdutoService;
   
    public function __construct($crudService, $environment, ProdutoService $ProdutoService) {
        parent::__construct($crudService, $environment);
        $this->ProdutoService = $ProdutoService;
    }
    
    public function produtos(Request $request, Response $response){
        $response->addDataSet(new DataSet('produtos', $this->ProdutoService->getProdutos()));
        
        // try {
        //     $data = $this->ProdutoService->getProdutos();
        //     $this->sendResponse($data, 200);
        // } catch (Exception $ex) {
        //     $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        // }
    }
}

?>