<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use FM\Traits\TQuery;

class ProdutoFactory {
  
  use TQuery;
  
  protected $connection;
  private $entityManager;

  public function __construct(EntityManager $entityManager) {
      $this->connection = $entityManager->getConnection();
      $this->entityManager = $entityManager;
  }
  
  public function getProdutos() {
    $sql = "SELECT CDPRODUTO, NMPRODUTO
              FROM PRODUTO";

    $std = $this->connection->prepare($sql);
    $std->execute();
    return $std->fetchAll();
    
    // return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
  }
}

?>